## org.apache.aries.subsystem.obr.internal
Class FelixResourceAdapter

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.FelixResourceAdapter

All Implemented Interfaces:
  org.osgi.resource.Resource, org.osgi.service.repository.RepositoryContent

    public class FelixResourceAdapter

extends Object
implements org.osgi.resource.Resource, org.osgi.service.repository.RepositoryContent

Constructor Summary
`FelixResourceAdapter(org.apache.felix.bundlerepository.Resource resource)`

Method Summary
`boolean` `equals(Object o)`
`List<org.osgi.resource.Capability>` `getCapabilities(String namespace)`
`InputStream` `getContent()`
`List<org.osgi.resource.Requirement>` `getRequirements(String namespace)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FelixResourceAdapter

    public FelixResourceAdapter(org.apache.felix.bundlerepository.Resource resource)

Method Detail

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `org.osgi.resource.Resource`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `org.osgi.resource.Resource`
  Overrides:
    `hashCode` in class `Object`

### getCapabilities

    public List<org.osgi.resource.Capability> getCapabilities(String namespace)

  Specified by:
    `getCapabilities` in interface `org.osgi.resource.Resource`

### getContent

    public InputStream getContent()

  Specified by:
    `getContent` in interface `org.osgi.service.repository.RepositoryContent`

### getRequirements

    public List<org.osgi.resource.Requirement> getRequirements(String namespace)

  Specified by:
    `getRequirements` in interface `org.osgi.resource.Resource`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.